package com.tykj.dev.statistical.service;

import com.tykj.dev.statistical.vo.*;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface BigScreenService {

    /**
     * 获取省及各市装备统计信息
     */
    List<DevNum> getAllDeviceNum();

    /**
     * 获取全省某业务每月数量统计
     */
    List<BusinessNum> getBusinessNum(Integer businessType);

    /**
     * 获取大屏中心信息统计
     */
    CenterNum getCenterNum();

    /**
     * 获取装备维修情况数量统计
     */
    RepairNum getRepairNum();

    /**
     * 获取装备维修情况装备统计
     */
    List<RepairDevice> getRepairDevices();

    /**
     * 获取最近一次自查统计
     */
    List<SelfCheckNum> getSelfCheckNum();

    /**
     * 专管员统计
     */
    List<UserDateScreen> selectUserDataScreen();
}
